Alerts

Detailed reference for alert listing, alert details, and alert read-state endpoints.

Endpoint Reference

GET /idp/array/users/me/alerts

  • Description: list user alerts

  • Authentication: XV/OpenID token

  • Request body: none

Query parameters:

  • bureau (optional): idp, exp, tui, efx

  • count (optional integer)

  • offset (optional integer)

Responses on success:

  • 200 OK

{
  "userAlerts": [
    {
      "alertId": 123456,
      "class": "CREDIT_MONITORING",
      "createDate": "2025-10-01T12:34:56Z",
      "updatedDate": "2025-10-02T09:00:00Z"
    }
  ]
}

GET /idp/array/users/me/alerts/{bureau}/{alert_id}/details

  • Description: read full details for one alert

  • Authentication: XV/OpenID token

  • Request body: none

Path parameters:

  • bureau: idp, exp, tui, efx

  • alert_id: string alert identifier

Responses on success:

  • 200 OK

For IDP alerts, details can be:

PUT /idp/array/users/me/alerts/read

  • Description: mark alerts as read for all alerts or a selected list

  • Authentication: XV/OpenID token

Request body (optional):

If body is omitted or {}, all alerts are marked as read.

Responses on success:

  • 204 No Content

DELETE /idp/array/users/me/alerts/read

  • Description: mark alerts as unread for all alerts or a selected list

  • Authentication: XV/OpenID token

Request body (optional):

If body is omitted or {}, all alerts are marked as unread.

Responses on success:

  • 204 No Content

PUT /idp/array/users/me/alerts/{alertId}/read

  • Description: mark one alert as read

  • Authentication: XV/OpenID token

  • Request body: none

Path parameter:

  • alertId (string)

Responses on success:

  • 204 No Content

DELETE /idp/array/users/me/alerts/{alertId}/read

  • Description: mark one alert as unread

  • Authentication: XV/OpenID token

  • Request body: none

Path parameter:

  • alertId (string)

Responses on success:

  • 204 No Content

Last updated